fTools "dissolve" not showing open layers

2011-12-21 11:24 AM - Daniel Porter

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version: Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14574

Description

I am attempting to dissolve polylines from a shapefile using Vector->Geoprocessing Tools->Dissolve, however the dissolve tool does not

populate the dropdown menu "Input vector layer" with my currently open layers.  It is empty.  When I pick Geoprocessing

Tools->Symmetrical difference, the dropdowns are populated appropriately.

I'm using QGIS 1.7.3 on Windows XP Service Pack 3 installed from the binary installer.  My fTools is 0.6.1.

I attached a screenshot of the failure mode.

My email is danielbporter@gmail.com

History

#1 - 2011-12-21 11:29 AM - Alexander Bruy

- Category changed from Python plugins to 44

What geometry have your layers? Dissolve tool requires polygons, so if there are no polygonal layers - no layers in selector.

#2 - 2011-12-21 12:04 PM - Daniel Porter

Alexander Bruy wrote:

What geometry have your layers? Dissolve tool requires polygons, so if there are no polygonal layers - no layers in selector.

D'oh.  ArcGIS identifies the shapes as "polyline".  I tried it with a polygon shapefile and it works just fine.  :)

The QGIS Manual (http://download.osgeo.org/qgis/doc/manual/qgis-1.7.0_user_guide_en.pdf p. 155) does say that the dissolve tool supports "features". 

It might be nice if that was updated to say "polygons".  The documentation seems very good.

Thanks for the help.

#3 - 2011-12-21 11:45 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

#4 - 2017-05-01 01:23 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
